---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libearlyretfp.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x539C0, symBinAddr: 0xC350, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x55900, symBinAddr: 0xE290, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55CF0, symBinAddr: 0xE680, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56C90, symBinAddr: 0xF620, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56CA0, symBinAddr: 0xF630, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x534B0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x534B4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x534B8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x53610, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x536C8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x536CC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x536D0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x536D4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x536D8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x536E0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x536F8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53700, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53708, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53710, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53718, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL7errCode, symObjAddr: 0x5375C, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL8name_exp, symObjAddr: 0xEA20, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x9103, offset: 0x9103, size: 0x8, addend: 0x0, symName: __ZL7methidx, symObjAddr: 0x53760, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x911C, offset: 0x911C, size: 0x8, addend: 0x0, symName: __ZL7sig_exp, symObjAddr: 0xEA30, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0x9135, offset: 0x9135, size: 0x8, addend: 0x0, symName: __ZL20methodExitEventCount, symObjAddr: 0x53764, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x914E, offset: 0x914E, size: 0x8, addend: 0x0, symName: __ZL11framesCount, symObjAddr: 0x53768, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9167, offset: 0x9167, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x53770, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9180, offset: 0x9180, size: 0x8, addend: 0x0, symName: __ZL6midRun, symObjAddr: 0x53778, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9199, offset: 0x9199, size: 0x8, addend: 0x0, symName: __ZL17midCountDownFloat, symObjAddr: 0x53780, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x91B2, offset: 0x91B2, size: 0x8, addend: 0x0, symName: __ZL9ret_val_f, symObjAddr: 0x53788, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x91CB, offset: 0x91CB, size: 0x8, addend: 0x0, symName: __ZL18midCountDownDouble, symObjAddr: 0x53790, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x91E4, offset: 0x91E4, size: 0x8, addend: 0x0, symName: __ZL9ret_val_d, symObjAddr: 0x53798, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x91FD, offset: 0x91FD, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x537A0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x9216, offset: 0x9216, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x537A8, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x922F, offset: 0x922F, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x537B8, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0x9248, offset: 0x9248, size: 0x8, addend: 0x0, symName: __ZL14framesExpected, symObjAddr: 0x538F0, symBinAddr: 0xC340, symSize: 0x0 }
  - { offsetInCU: 0x929A, offset: 0x929A, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x39D0, symSize: 0x80 }
  - { offsetInCU: 0x932F, offset: 0x932F, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3920, symSize: 0xB0 }
  - { offsetInCU: 0x938A, offset: 0x938A, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3820, symSize: 0x100 }
  - { offsetInCU: 0x961D, offset: 0x961D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3A50, symSize: 0x220 }
  - { offsetInCU: 0x9802, offset: 0x9802, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3C70, symSize: 0xA0 }
  - { offsetInCU: 0x98B5, offset: 0x98B5, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3D10, symSize: 0x110 }
  - { offsetInCU: 0x99AB, offset: 0x99AB, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3E20, symSize: 0x150 }
  - { offsetInCU: 0x9ADC, offset: 0x9ADC, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3F70, symSize: 0x30 }
  - { offsetInCU: 0x9BBD, offset: 0x9BBD, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3FA0, symSize: 0x150 }
  - { offsetInCU: 0x9DB5, offset: 0x9DB5, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x40F0, symSize: 0x160 }
  - { offsetInCU: 0x9F41, offset: 0x9F41, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4250, symSize: 0x1B0 }
  - { offsetInCU: 0xA15C, offset: 0xA15C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4400, symSize: 0xA0 }
  - { offsetInCU: 0xA22B, offset: 0xA22B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x44A0, symSize: 0x20 }
  - { offsetInCU: 0xA262, offset: 0xA262, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x44C0, symSize: 0x20 }
  - { offsetInCU: 0xA299, offset: 0xA299, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x44E0, symSize: 0x20 }
  - { offsetInCU: 0xA44C, offset: 0xA44C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4500, symSize: 0x1A0 }
  - { offsetInCU: 0xA772, offset: 0xA772, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x46A0, symSize: 0x80 }
  - { offsetInCU: 0xA83B, offset: 0xA83B, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4720, symSize: 0x6A0 }
  - { offsetInCU: 0xB3D0, offset: 0xB3D0, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA7B0, symBinAddr: 0x6060, symSize: 0xB0 }
  - { offsetInCU: 0xB447, offset: 0xB447, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4DC0, symSize: 0x70 }
  - { offsetInCU: 0xB593, offset: 0xB593, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4E30, symSize: 0xA0 }
  - { offsetInCU: 0xB6EA, offset: 0xB6EA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4ED0, symSize: 0x40 }
  - { offsetInCU: 0xB7E0, offset: 0xB7E0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4F10, symSize: 0x2B0 }
  - { offsetInCU: 0xBB86, offset: 0xBB86, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x51C0, symSize: 0xC0 }
  - { offsetInCU: 0xBCCC, offset: 0xBCCC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5280, symSize: 0x10 }
  - { offsetInCU: 0xBD8E, offset: 0xBD8E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5290, symSize: 0x220 }
  - { offsetInCU: 0xC08B, offset: 0xC08B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x54B0, symSize: 0x10 }
  - { offsetInCU: 0xC0E8, offset: 0xC0E8, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x54C0, symSize: 0x1A0 }
  - { offsetInCU: 0xC2D3, offset: 0xC2D3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DB0, symBinAddr: 0x5660, symSize: 0x10 }
  - { offsetInCU: 0xC3AC, offset: 0xC3AC, size: 0x8, addend: 0x0, symName: _check, symObjAddr: 0x9DC0, symBinAddr: 0x5670, symSize: 0x440 }
  - { offsetInCU: 0xC838, offset: 0xC838, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0xA200, symBinAddr: 0x5AB0, symSize: 0x120 }
  - { offsetInCU: 0xCA5E, offset: 0xCA5E, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0xA320, symBinAddr: 0x5BD0, symSize: 0x120 }
  - { offsetInCU: 0xCBF2, offset: 0xCBF2, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0xA440, symBinAddr: 0x5CF0, symSize: 0x100 }
  - { offsetInCU: 0xCC80, offset: 0xCC80, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretfp_getReady, symObjAddr: 0xA540, symBinAddr: 0x5DF0, symSize: 0x1E0 }
  - { offsetInCU: 0xCEDC, offset: 0xCEDC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretfp_printFloat, symObjAddr: 0xA720, symBinAddr: 0x5FD0, symSize: 0x30 }
  - { offsetInCU: 0xCF36, offset: 0xCF36, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretfp_printDouble, symObjAddr: 0xA750, symBinAddr: 0x6000, symSize: 0x20 }
  - { offsetInCU: 0xCF90, offset: 0xCF90, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretfp_check, symObjAddr: 0xA770, symBinAddr: 0x6020, symSize: 0x40 }
  - { offsetInCU: 0xCFDF, offset: 0xCFDF, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA860, symBinAddr: 0x6110, symSize: 0x36A }
...
